Index: code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactBvh.cpp
===================================================================
--- code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactBvh.cpp	(revision 2907)
+++ code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactBvh.cpp	(revision 2908)
@@ -151,5 +151,6 @@
 	}
 
-	btAssert(!((splitIndex==startIndex) || (splitIndex == (endIndex))));
+	bool unbal = (splitIndex==startIndex) || (splitIndex == (endIndex));
+	btAssert(!unbal);
 
 	return splitIndex;
Index: code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp
===================================================================
--- code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp	(revision 2907)
+++ code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactQuantizedBvh.cpp	(revision 2908)
@@ -172,5 +172,6 @@
 	}
 
-	btAssert(!((splitIndex==startIndex) || (splitIndex == (endIndex))));
+	bool unbal = (splitIndex==startIndex) || (splitIndex == (endIndex));
+	btAssert(!unbal);
 
 	return splitIndex;
Index: code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactShape.h
===================================================================
--- code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactShape.h	(revision 2907)
+++ code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/btGImpactShape.h	(revision 2908)
@@ -882,6 +882,4 @@
 class btGImpactMeshShape : public btGImpactShapeInterface
 {
-	btStridingMeshInterface* m_meshInterface;
-
 protected:
 	btAlignedObjectArray<btGImpactMeshShapePart*> m_mesh_parts;
@@ -910,5 +908,4 @@
 	btGImpactMeshShape(btStridingMeshInterface * meshInterface)
 	{
-		m_meshInterface = meshInterface;
 		buildMeshParts(meshInterface);
 	}
@@ -926,13 +923,4 @@
 
 
-	btStridingMeshInterface* getMeshInterface()
-	{
-		return m_meshInterface;
-	}
-
-	const btStridingMeshInterface* getMeshInterface() const
-	{
-		return m_meshInterface;
-	}
 
 	int getMeshPartCount() const
@@ -1046,10 +1034,10 @@
 
 	//! call when reading child shapes
-	virtual void lockChildShapes() const
-	{
-		btAssert(0);
-	}
-
-	virtual void unlockChildShapes() const
+	virtual void lockChildShapes()
+	{
+		btAssert(0);
+	}
+
+	virtual void unlockChildShapes()
 	{
 		btAssert(0);
Index: code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_box_set.cpp
===================================================================
--- code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_box_set.cpp	(revision 2907)
+++ code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_box_set.cpp	(revision 2908)
@@ -111,5 +111,6 @@
 	}
 
-	btAssert(!((splitIndex==startIndex) || (splitIndex == (endIndex))));
+	bool unbal = (splitIndex==startIndex) || (splitIndex == (endIndex));
+	btAssert(!unbal);
 
 	return splitIndex;
@@ -180,3 +181,2 @@
 }
 
-
Index: code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_math.h
===================================================================
--- code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_math.h	(revision 2907)
+++ code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_math.h	(revision 2908)
@@ -108,5 +108,5 @@
 #define GIM_CLAMP(number,minval,maxval) (number<minval?minval:(number>maxval?maxval:number))
 
-#define GIM_GREATER(x, y)	btFabs(x) > (y)
+#define GIM_GREATER(x, y)	fabsf(x) > (y)
 
 ///Swap numbers
Index: code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_tri_collision.h
===================================================================
--- code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_tri_collision.h	(revision 2907)
+++ code/branches/questsystem5/src/bullet/BulletCollision/Gimpact/gim_tri_collision.h	(revision 2908)
@@ -276,5 +276,5 @@
 		else
 		{
-			btScalar sumuv;
+			float sumuv;
 			sumuv = u+v;
 			if(sumuv<-G_EPSILON)
